Package org.apache.sysds.common

# Enum Class Types.ReOrgOp

java.lang.Object
java.lang.Enum<Types.ReOrgOp>
org.apache.sysds.common.Types.ReOrgOp

All Implemented Interfaces:
  `Serializable`, `Comparable<Types.ReOrgOp>`, `Constable`

Enclosing interface:
  Types

public static enum Types.ReOrgOp extends Enum<Types.ReOrgOp>
Operations that perform internal reorganization of an allocation

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DIAG`
`RESHAPE`
`REV`
`ROLL`
`SORT`
`TRANS`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`preservesValues()`
`String`
`toString()`
`static Types.ReOrgOp`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Types.ReOrgOp`
`valueOfByOpcode(String opcode)`
`static Types.ReOrgOp[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DIAG

public static final Types.ReOrgOp DIAG

### RESHAPE

public static final Types.ReOrgOp RESHAPE

### REV

public static final Types.ReOrgOp REV

### ROLL

public static final Types.ReOrgOp ROLL

### SORT

public static final Types.ReOrgOp SORT

### TRANS

public static final Types.ReOrgOp TRANS

## Method Details

### values

public static Types.ReOrgOp[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Types.ReOrgOp valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### preservesValues

public boolean preservesValues()

### toString

public String toString()

Overrides:
  `toString` in class `Enum<Types.ReOrgOp>`

### valueOfByOpcode

public static Types.ReOrgOp valueOfByOpcode(String opcode)